public static interface RestApiEndpointBuilderFactory.RestApiBuilders
| Modifier and Type | Method and Description |
|---|---|
default RestApiEndpointBuilderFactory.RestApiEndpointBuilder |
restApi(String path)
REST API (camel-rest)
Expose OpenAPI Specification of the REST services defined using Camel
REST DSL.
|
default RestApiEndpointBuilderFactory.RestApiEndpointBuilder |
restApi(String componentName,
String path)
REST API (camel-rest)
Expose OpenAPI Specification of the REST services defined using Camel
REST DSL.
|
default RestApiEndpointBuilderFactory.RestApiEndpointBuilder restApi(String path)
rest-api:path
Path parameter: path (required)
The base pathpath - pathdefault RestApiEndpointBuilderFactory.RestApiEndpointBuilder restApi(String componentName, String path)
rest-api:path
Path parameter: path (required)
The base pathcomponentName - to use a custom component name for the endpoint
instead of the default namepath - pathApache Camel